Subject: Re: [PATCH 0/2] Allow either FLATMEM or SPARSEMEM on the multiplatform build

From: Mike Rapoport <[email-masked]>
Date: Thu, 7 May 2020 13:09:11 +0300

Hi Russell,

On Thu, May 07, 2020 at 09:14:09AM +0100, Russell King - ARM Linux admin wrote:
> On Wed, May 06, 2020 at 04:50:07PM -0700, Florian Fainelli wrote:
> > Hi all,
> > 
> > This patch series somehow got lost back in 2015, and while looking at
> > the various patches that we are carrying in our BRCMSTB downstream
> > kernel those two patches should have made it upstream.
> 
> I don't believe it's a good idea for multiplatform.
> 
> If you have a platform that relies on sparsemem within the multiplatform
> family, and you select flatmem, how would it boot?
> 
> Sparsemem can support flatmem layouts, but flatmem can't support
> sparsemem layouts.
> 
> So, allowing flatmem seems to go against the underlying principle of
> multiplatform support.

Currently neither of multiplafrom builds has SPARSEMEM enabled, so
unless I misread theses patches, they actually allow enabling SPARSEMEM
in menuconfig for custom builds based on a multiplatform config.

> -- 
> RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
> FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up

-- 
Sincerely yours,
Mike.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel